using SolarPower.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace SolarPower.Repository.Interface
{
    public interface INoticeScheduleRepository : IRepositoryBase<NoticeSchedule>
    {
        Task<List<NoticeSchedule>> GetNotYetDelivery();
        Task UpdateList(List<NoticeSchedule> noticeSchedules, List<string> properties);
        Task<List<OperationPersonnel>> GetPowerStationOperationPersonnel(int Userid);
        Task<List<NoticeScheduleTable>> GetNoticeTable(NoticeTableSearch info);
    }
}
